ResourceModelWithAllowedPropertySet Class

The resource model definition containing the full set of allowed properties for a resource. Except properties bag, there cannot be a top level property outside of this set.

Variables are only populated by the server, and will be ignored when sending a request.

Inheritance
ResourceModelWithAllowedPropertySet

Constructor

ResourceModelWithAllowedPropertySet(*, location: Optional[str] = None, managed_by: Optional[str] = None, kind: Optional[str] = None, tags=None, identity=None, sku=None, plan=None, **kwargs)

Parameters

location
str
Required

The geo-location where the resource lives

managed_by
str
Required

The fully qualified resource ID of the resource that manages this resource. Indicates if this resource is managed by another azure resource. If this is present, complete mode deployment will not delete the resource if it is removed from the template since it is managed by another resource.

kind
str
Required

Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type; e.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.

tags
dict[str, str]
Required

Resource tags.

Variables

id
str

Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name
str

The name of the resource

type
str

The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts..

etag
str

The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.